<?php

/*******************************************
* TornevallNET DNSBL Support for e107 0.7+ *
*                                          *
* Section: Plugin info and installation    *
*                                          *
* thorne@tornevall.net                     *
* Based on http://opm.tornevall.org        *
*                                          *
********************************************/

// General
$eplug_name = "TornevallNET DNSBL";
$eplug_version = "1.0.0";
$eplug_author = "TMM";
$eplug_folder = "DNSBL";
$eplug_url = "http://opm.tornevall.org";
$eplug_email = "dnsbl@tornevall.org";
$eplug_description = "Configurable proxychecker for e107";
$eplug_caption = "DNSBL Configuration";
$eplug_module = TRUE;

$eplug_compatible = "e107v0.7+";		// It's actually only tested for 0.7+
$eplug_folder = "dnsbl";
$eplug_conffile = "admin_config.php";	// Do not change

$eplug_link = FALSE;
$eplug_link_name = "";
$eplug_link_url = "";

$eplug_done = "Installation Successful...";
$eplug_upgrade_done = "Upgrade successful...";
$eplug_done = "Done!";
$upgrade_alter_tables = "";
$upgrade_add_prefs = "";
$eplug_upgrade_done = "Upgrade done!";

// Stuff to be fixed
$eplug_icon = $eplug_folder."/uglyico32x32.png";
$eplug_icon_small = $eplug_folder."/uglyico16x16.png";

/*
	Preferences
	===========
	E = Settings for EFnet
	N = Settings for Njabl
	T = Settings for DNSBL/Tornevall
*/

$eplug_prefs = array(
	"dnsbl_cache" => "dnsbl_cache", // If you change this, change it in admin_config.php too.
	"dnsbl_active" => TRUE,
	"dnsbl_Eopenproxy" => TRUE,
	"dnsbl_Espamtrap50" => FALSE,
	"dnsbl_Espamtrap666" => FALSE,
	"dnsbl_Etor" => TRUE,
	"dnsbl_Edrones" => FALSE,
	"dnsbl_Ndialup" => FALSE,
	"dnsbl_Nformmail" => TRUE,
	"dnsbl_Nmulti" => FALSE,
	"dnsbl_Nopenproxy" => TRUE,
	"dnsbl_Npassive" => FALSE,
	"dnsbl_Nrelay" => FALSE,
	"dnsbl_Nspam" => FALSE,
	"dnsbl_Tabuse" => TRUE,
	"dnsbl_Tanonymous" => TRUE,
	"dnsbl_Tblitzed" => TRUE,
	"dnsbl_Tchecked" => FALSE,
	"dnsbl_Telite" => TRUE,
	"dnsbl_Terror" => FALSE,
	"dnsbl_Ttimeout" => FALSE,
	"dnsbl_Tworking" => TRUE,
	"dnsbl_cachedelay" => 5,
	"dnsbl_dnslist" => 'cbl.abuseat.org, dnsbl.njabl.org, dnsbl.ahbl.org, rbl.efnet.org, http.dnsbl.sorbs.net, socks.dnsbl.sorbs.net, misc.dnsbl.sorbs.net, opm.tornevall.org',
	"dnsbl_exclude" => '127.0.0.1',
	"dnsbl_blockunpre" => FALSE,
	"dnsbl_blockall" => FALSE
);

$eplug_table_names = array(
  "dnsbl_cache" // If you change this, change it in admin_config.php too.
);

// By making the ip longer than 15 chars, we make this module ipv6-compatible for the future
$eplug_tables = array("
	CREATE TABLE " . MPREFIX . "dnsbl_cache (
		ip varchar(64) NOT NULL,
		dateline int(10) unsigned NOT NULL default '0',
		listed int(10) unsigned NOT NULL default '0',
		PRIMARY KEY  (`ip`)
	)TYPE=MyISAM;
	");

?>
